Upload image

Prev Next

Available in Classic and VPC

Upload an image to be used for Brand Message delivery.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /brandmessage/v2/services/{serviceId}/images

Request headers

For information about the headers common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
serviceId String Required Biz Message service ID

Request body

You can include the following data in the body of your request:

Field Type Required Description
imageType String Required Image type
imageFile File Required Image files

Request example

The request example is as follows:

curl --location --request POST 'https://sens.apigw.ntruss.com/brandmessage/v2/services/ncp:kkobizmsg:kr:27*********6:sens/images' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: multipart/form-data' \
--form 'imageType=BASIC' 'imageFile=@"/E:/desktop/myImage.jpg"'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
imageId String Required Image ID
imageUrl String Required Image URL
imageType String Required Image file type
imageName String Required Image file name

Response status codes

For information about the HTTP status codes common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service response status codes.

Response example

The response example is as follows:

{
    "imageId": "5b19970c-****-****-****-c8ec1cd8f37e",
    "imageUrl": "https://mud-kage.kakao.com/dn/dhkJRb/***********/**********************/img_l.jpg",
    "imageType": "BASIC",
    "imageName": "myImage.jpg"
}

Image type

The image type information is as follows:

Item Description Remarks
BASIC TEXT, COMMERCE, and PREMIUM_VIDEO image
  • Recommended size: 800 x 400 px (width 500 px or more)
  • Image ratio (width/height): 0.5 to 1.333
  • File format: JPG, PNG
  • File size: Up to 5 MB
WIDE WIDE_IMAGE image
  • Recommended size: 800 x 600 px (width 500 px or more)
  • Image ratio (width/height): 0.5 to 1.0
  • File format: JPG, PNG
  • File size: Up to 5 MB
WIDE_ITEM_LIST_MAIN WIDE_ITEM_LIST first item image
  • Width 500 px or more
  • Image ratio (width/height): 0.5
  • File format: JPG, PNG
  • File size: Up to 5 MB
WIDE_ITEM_LIST_SUB WIDE_ITEM_LIST item images from the second item onward
  • Width 500 px or more
  • Image ratio (width/height): 1.0
  • File format: JPG, PNG
  • File size: Up to 5 MB
CAROUSEL_FEED CAROUSEL_FEED image
  • Recommended size: 800 x 600 px or 800 x 400 px (width 500 px or more)
  • Image ratio (width/height): 0.5 to 1.333
  • File format: JPG, PNG
  • File size: Up to 5 MB
CAROUSEL_COMMERCE CAROUSEL_COMMERCE image
  • Recommended size: 800 x 600 px or 800 x 400 px (width 500 px or more)
  • Image ratio (width/height): 0.5 to 1.333 (same aspect ratio for all images)
  • File format: JPG, PNG
  • File size: Up to 5 MB